/**
 * Block: core/button 
 */
.wp-block-button .wp-block-button__link {
	transition: var(--wp--custom--animation--default-transition);
	font-weight: 600;
}
.wp-block-button.is-style-fill:hover .wp-block-button__link {
	background-color: var(--wp--preset--color--main-foreground);
	color: var(--wp--preset--color--main-highlight) !important;
	border-color: currentColor;
}
.wp-block-button:active .wp-block-button__link {
	text-decoration: underline;
}

/* Outline Style Buttons */
.wp-block-button.is-style-outline .wp-block-button__link {
	border-color: currentColor;
}
.wp-block-button.is-style-outline:hover .wp-block-button__link {
	border-color: transparent;
	background-color: var(--wp--preset--color--main-highlight) !important;
}

/* Link / Plain Style Buttons */
.wp-block-button.is-style-link .wp-block-button__link {
	padding-left: 0;
	padding-right: 0;
	border-color: transparent;
	background-color: transparent;
	color: currentColor;
	font-weight: 600;
}
.wp-block-button.is-style-link:hover .wp-block-button__link {
	color: currentColor !important;
	text-decoration: underline;
}

/* Arrow Style Buttons */
.wp-block-button:is(.is-style-arrow) {
	font-size: var(--wp--preset--font-size--large);
	font-weight: 600;
}
.wp-block-button:where(.is-style-arrow) .wp-block-button__link:after {
	display: inline-block;
	font-family: "Font Awesome 6 Pro";
	font-style: normal;
	font-size: var(--wp--preset--font-size--small);
	content: '\f178';
	margin-left: 1em;
	transition: inherit;
	color: var(--wp--preset--color--main-highlight);
	/* font-family: 'dashicons';
	content: '\f344';
	vertical-align: bottom; */
}
.wp-block-read-more.is-style-arrow,
.wp-block-button.is-style-arrow .wp-block-button__link {
	clip-path: inset(0 0 0 calc(100% - 1em));
	transform: translateX(calc(-100% + 1em));
}
.wp-block-read-more.is-style-arrow:hover,
.wp-block-button.is-style-arrow:hover .wp-block-button__link {
	clip-path: inset(0 0 0 0);
	transform: translateX(0);
}
:where(.is-content-justification-center) > .wp-block-read-more.is-style-arrow,
:where(.wp-block-buttons.is-content-justification-center) .wp-block-button.is-style-arrow .wp-block-button__link {
	transform: translateX(calc(-50% + 0.5em));
}
.wp-block-buttons.is-content-justification-right .wp-block-button.is-style-arrow .wp-block-button__link {
	transform: none;
}
.wp-block-button:is(.is-style-arrow) .wp-block-button__link {
	background-color: transparent;
	padding: 0;
	color: var(--wp--preset--color--main-highlight);
}

/**
 * Block: core/category-list 
 */
 .wp-block-categories-list {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    padding-left: 0;
 }
 .wp-block-categories-list li {
    margin-right: var(--wp--preset--spacing--40);
 }
 .wp-block-categories-list li.current-cat a {
   color: var(--wp--preset--color--main-foreground-alt);
 }
/**
 * Block: core/cover
 */
.wp-block-cover.alignfull .wp-block-cover__inner-container {
    max-width: var(--wp--custom--spacing--wide-size);
}
.wp-block-cover.alignfull.full-width-content .wp-block-cover__inner-container {
	max-width: inherit;
}

.wp-block-cover:where(.hero) {
    min-height: auto;
}

/** 
 * Hide background image at mobile width
 */
@media (max-width: 781px) {
	.wp-block-cover:where(.mobile-hide-img) > img {
		display: none;
	}
}

/** 
 * Update max width when below our max-width / alignwide limits 
 * eg. 1296px + 3.00rem (48px) on each side = 1392px
 */
@media (max-width: 1392px) {
	.wp-block-cover.alignfull .wp-block-cover__inner-container {
		max-width: 100%;
	}
}
/**
 * Block: core/file
 */
 .wp-block-file .wp-block-file__button {
     transition: var(--wp--custom--animation--default-transition);
     background-color: var(--wp--preset--color--main-highlight);
	 color: var(--wp--preset--color--main-foreground);
     border-radius: var(--wp--custom--border--radius-small);
     font-weight: 600;
 }
 .wp-block-file .wp-block-file__button:hover {
     background-color: var(--wp--preset--color--main-foreground);
     color: var(--wp--preset--color--main-highlight) !important;
     border-color: currentColor;
 }
 .wp-block-file .wp-block-file__button:active {
     text-decoration: underline;
 }
/**
 * Block: core/gallery
 */
.wp-block-gallery.has-nested-images figure.wp-block-image figcaption {
    background: var(--wp--preset--gradient--black-50-to-100);
    font-size: var(--wp--preset--font-size--small);
    padding: 0.5em 1em;
}

.wp-block-gallery.has-nested-images figure.wp-block-image:is(.is-style-fixed-4-by-3, .is-style-fixed-16-by-9) figcaption {
    border-bottom-left-radius: var(--wp--custom--border--radius);
    border-bottom-right-radius: var(--wp--custom--border--radius);
}
/**
 * Block: genesis-custom-blocks/team-member
 */

@media (max-width: 782px) {
	/* Centre the view bio button at single column */
	.team-member > .wp-block-group .wp-block-buttons {
		justify-content: center;
	}
}

dialog .biography *:last-child {
	margin-bottom: 0;
}

/* override wp default styling to center the dialog modal */
:where(body .is-layout-flow) > dialog:last-child:last-child {
	margin-block-end: auto;
}
/**
 * Form Blocks: gravityforms/form
 * Intended to replace the built in gravity form css files.
 */

/* Form Fields - up 4 column grid */
.gform_fields {
	display: flex;
	flex-wrap: wrap;
	gap: var(--wp--custom--forms--fields--spacing--block-gap);
}
.gfield {
	width: 100%;
}
.gfield--width-half {
	width: calc(50% - var(--wp--custom--forms--fields--spacing--block-gap) * 0.5);
}
.gfield--width-third {
	width: calc(33.3333% - var(--wp--custom--forms--fields--spacing--block-gap) * 0.66667);
}
.gfield--width-quarter {
	width: calc(25% - var(--wp--custom--forms--fields--spacing--block-gap) * 0.75);
}

/* Different Color for Labels */
.gfield .gfield_label {
	color: var(--wp--preset--color--black);
}

/* Field Hidden Labels - "Visible" for screen readers */
.gfield.hidden_label label {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	white-space: nowrap;
	border-width: 0;
}

/* Checkbox & Radio Group Form Fields */
.gfield_label + :where(.ginput_container_checkbox, .ginput_container_radio) {
	margin-block-start: var(--wp--custom--forms--fields--spacing--padding);
}


/** 
 * Special Complex Fields 
 * e.g. name, address, date, time, etc
 */
.ginput_complex {
	display: flex;
	flex-wrap: wrap;
	gap: var(--wp--custom--forms--fields--spacing--padding);
}
.ginput_complex label {
	font-size: var(--wp--preset--font-size--small);
}

/* Name Field */
:is(.gf_name_has_1, .gf_name_has_2, .gf_name_has_3, .gf_name_has_4, .gf_name_has_5) {
	gap: var(--wp--custom--forms--fields--spacing--padding) var(--wp--custom--forms--fields--spacing--block-gap);
}
:where(.gf_name_has_1, .gf_name_has_2, .gf_name_has_3, .gf_name_has_4, .gf_name_has_5) > * {
	flex-basis: calc(20% - var(--wp--custom--forms--fields--spacing--block-gap) * 0.8);
	flex-grow: 1;
}
:where(.gf_name_has_1, .gf_name_has_2, .gf_name_has_3, .gf_name_has_4, .gf_name_has_5) :is(.name_prefix_select, .name_suffix) {
	flex-basis: 4em;
	flex-grow: 0;
}

/* Address Field */
.ginput_container_address {
	gap: var(--wp--custom--forms--fields--spacing--padding) var(--wp--custom--forms--fields--spacing--block-gap);
}
.ginput_container_address .ginput_full {
	width: 100%;
}
.ginput_container_address :where(.ginput_left, .ginput_right) {
	width: calc(50% - var(--wp--custom--forms--fields--spacing--block-gap) * 0.5);
}

/* Date Field */
.ginput_container_date {
	display: flex;
	gap: var(--wp--custom--forms--fields--spacing--padding);
}
:is(.ui-datepicker, .gform-theme-datepicker) {
	padding: 1em;
	background-color: var(--wp--preset--color--main-background);
	font-size: calc(var(--wp--preset--font-size--small) * 0.875);
	border-bottom-left-radius: var(--wp--custom--border--radius-small);
	border-bottom-right-radius: var(--wp--custom--border--radius-small);
	box-shadow: 0px 4px 6px 2px var(--wp--custom--forms--fields--color--box-shadow);
}
.ui-datepicker-header {
	display: grid;
	grid-template-columns: auto 1fr auto;
	align-items: center;
	gap: calc(var(--wp--custom--forms--fields--spacing--padding) * 2);
}
.ui-datepicker-header > * {
	grid-row: 1;
}
.ui-datepicker-header :is(.ui-datepicker-prev, .ui-datepicker-next) {
	cursor: pointer;
}
.ui-datepicker-header :is(.ui-datepicker-prev, .ui-datepicker-next) span {
	display: none;
}
.ui-datepicker-header :is(.ui-datepicker-prev, .ui-datepicker-next)::before {
	font-family: "Font Awesome 6 Pro";
	font-style: normal;
}
.ui-datepicker-header .ui-datepicker-prev::before {
	content: '\f323';
}
.ui-datepicker-header .ui-datepicker-next::before {
	content: '\f324';
}
.ui-datepicker-header .ui-datepicker-next {
	grid-column: 3;
}
.ui-datepicker-title {
	display: flex;
	gap: var(--wp--custom--forms--fields--spacing--padding);
}
.ui-datepicker-title select {
	width: auto;
	font-size: inherit;
	border: none;
	padding-right: 0;
}
.ui-datepicker-calendar {
	width: 100%;
	margin-block-start: var(--wp--custom--forms--fields--spacing--padding);
	text-align: center;
}
.ui-datepicker-calendar :is(th,td) {
	width: calc(100% / 7);
	padding: 0;
}

/* Time Field */
.ginput_container_time {
	display: inline-flex;
	flex-basis: 3em;
	flex-grow: 1;
}
.ginput_container_time input {
	text-align: center;
}
.gfield_time_ampm {
	flex-basis: 4em;
}

/* List Field */
.gfield_list_groups .gfield_list_group + .gfield_list_group {
	margin-block-start: var(--wp--custom--forms--fields--spacing--padding);
}
.gfield_list .gfield_list_icons {
	margin-block-start: var(--wp--custom--forms--fields--spacing--padding);
}
.gfield_list .gfield_list_icons :is(.add_list_item, .delete_list_item) {
	font-size: calc(var(--wp--preset--font-size--small) * 0.875);
}
.gfield_list .gfield_list_icons .delete_list_item {
	margin-inline-start: 1.5em;
	padding: 0;
	background: none;
	color: var(--wp--preset--color--main-highlight);
}

/* File Field */
.ginput_container_fileupload .gform_fileupload_rules {
	font-size: var(--wp--preset--font-size--small);
}

/* Error Validation */
.gform_validation_errors {
	display: none;
}
.gform_validation_errors .gform_submission_error {
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
	color: currentColor;
}
.gform_validation_errors > * {
	margin: 0;
}
.gform_validation_errors > * + *{
	margin-block-start: var(--wp--preset--spacing--20);
}
.gform_validation_error_link {
	color: currentColor;
}
.gfield .validation_message {
	margin-block-start: var(--wp--preset--spacing--10);
	font-size: var(--wp--preset--font-size--small);
	color: var(--wp--custom--forms--errors--color--text);
}
.gfield .validation_message::before {
	content: '\f071';
	display: inline;
	font-family: "Font Awesome 6 Pro";
	margin-inline-end: 1em;
}
.gfield.gform_validation_container {
	display: none;
}

/* Form Wrapper - removing margin on the block - leaving to a wrapper block */
body .is-layout-flow > .gform_wrapper {
	margin: 0;
}
/* Form Header */
.gform_heading .gform_required_legend {
	display: none;
}

/* Form Footer */
.gform_footer {
	margin-block-start: var(--wp--custom--forms--fields--spacing--block-gap);
}
/**
 * Blocks: core/image, core/post-featured-image
 */
:is(.wp-block-image, .wp-block-post-featured-image):is(.is-style-rounded, .is-style-landscape, .is-style-panorama, .is-style-portrait, .is-style-square) img {
	border-radius: 0;
}
:is(.wp-block-image, .wp-block-post-featured-image).is-style-circle img {
	border-radius: 50%;
}
:is(.wp-block-image, .wp-block-post-featured-image):is(.is-style-landscape, .is-style-panorama, .is-style-portrait, .is-style-square).has-no-border-radius img {
	border-radius: 0;
}
/**
 * Blocks: core/list, 
 */

 ul li, ol li {
    margin-bottom: 0.75em;
 }
 ul li::marker {
    font-size: 0.75em;
 }

 
/**
 * Blocks: core/media-text
 */

/* Using WordPress' Mobile Breakpoint Value */
@media (min-width: 601px) {
	:is(.wp-block-media-text, .wp-block-media-text.has-media-on-the-right) {
		grid-template-columns: repeat(2, calc(50% - var(--wp--preset--spacing--50) * 0.5)) !important;
		gap: var(--wp--preset--spacing--50);
	}
}

.wp-block-media-text .wp-block-media-text__content {
	padding: 0;
	margin-block-start: var(--wp--preset--spacing--50);
	margin-block-end: var(--wp--preset--spacing--50);
}
/**
 * General Modal Styling
 */

/* overlay for when dialogs are open */
dialog::backdrop {
    background-color: #ffffff;
    opacity: 1;
}

/* leave the container styling to the content within */
dialog {
    background: white;
    border: none;
    padding: 0;
    box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.15);
}

dialog,
body .is-layout-flow > dialog {
    position: fixed;
    max-height: calc(100vh - (var(--wp--preset--spacing--30)*5) - var(--wp--preset--font-size--large));
    margin-block-start: auto;
    margin-block-end: auto;
}

/* allow it to overflow so we don't have a double scrollbar on smaller screens */
@media (max-width: 850px) {
    dialog {
        position: absolute;
        margin-block-start: var(--wp--preset--spacing--60);
    }
}

/* Close Button Form - closes the modal without the need for scripting */
dialog form.close {
    position: fixed;
    top: var(--wp--preset--spacing--30);
    right: var(--wp--preset--spacing--30);
}
dialog form.close button {
    background: transparent;
    padding: 0;
}
dialog form.close button svg {
    fill: var(--wp--preset--color--main-foreground-alt);
    width: var(--wp--preset--font-size--large);
}
/**
 * Block: core/navigation-link
 */
 .wp-block-navigation-link {
	margin-bottom: 0;
 }
 .wp-block-navigation-link a {
	font-weight: 400;
 }
 .wp-block-navigation-link a:hover {
	text-decoration: none;
 }
.wp-block-navigation-link.is-style-button .wp-block-navigation-item__content {
	background-color: var(--wp--preset--color--main-highlight);
	color: var(--wp--preset--color--main-background);
	padding: 0.625em 1.5em;
	border-radius: var(--wp--custom--border--radius-small);
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .is-style-button .wp-block-navigation-item__content {
	padding: 0.625em 1.5em;
}

nav:not([aria-label="Header navigation"]) .wp-block-navigation-link.current-menu-item {
	color: var(--wp--preset--color--main-foreground-alt);
}
/**
 * Block: core/navigation
 */

/* Override Mobile Menu Transition Point - WP Default is 600px */
@media (max-width: 782px) {
	.admin-bar header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open {
		top: calc( (var(--wp--preset--spacing--50) * 2 ) + 40px + 46px) !important;
	}
	.admin-bar header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open .wp-block-navigation__responsive-container-close {
		top: calc( ( (var(--wp--preset--spacing--50) * 2) * -1 ) - (30px + 62px) ) !important;
	}
	header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open .wp-block-navigation__responsive-container-close {
		top: calc( ( (var(--wp--preset--spacing--50) * 2) * -1 ) - 35px ) !important;
	}
}
@media (max-width: 960px) {
	header .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none;
	}
	header .wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: block;
	}
	header .wp-block-navigation__responsive-container-open:not(.always-shown) svg,
	header .wp-block-navigation__responsive-container-close:not(.always-shown) svg {
		height: 30px;	
		width: 30px;
		color: var(--wp--preset--color--main-foreground-alt);
	}
	header .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) .wp-block-navigation__responsive-container-close {
		display: block;
	}
	/* Override WP Variables for Alignment on Mobile */
	header .wp-block-navigation__responsive-container {
		--navigation-layout-justification-setting: center;
		--navigation-layout-justify: center;
	}
	.wp-site-blocks > header > .wp-block-group .wp-block-navigation .wp-block-navigation-item {
		font-size: var(--wp--preset--font-size--large) !important;
	}
	.wp-site-blocks > header > .wp-block-group .wp-block-social-links {
		gap: var(--wp--preset--spacing--50) !important;
		margin-top: var(--wp--preset--spacing--50);
	}
	.wp-site-blocks > header > .wp-block-group .wp-block-social-links .wp-social-link {
		font-size: var(--wp--preset--font-size--h-4) !important;
	}
	header .wp-block-navigation__responsive-container.is-menu-open .wp-block-social-links .wp-social-link {
		color: var(--wp--preset--color--main-highlight) !important;
	}
	header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open {
		top: calc( (var(--wp--preset--spacing--50) * 2 ) + 30px);
		overflow: visible;
	}
	.admin-bar header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open {
		top: calc( (var(--wp--preset--spacing--50) * 2 ) + 30px + 32px);
	}
	header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open .wp-block-navigation__responsive-container-close {
		top: calc( ( (var(--wp--preset--spacing--50) * 2) * -1 ) - 35px );
		background-color: white;
	}
	.admin-bar header .wp-block-navigation__responsive-container.is-menu-open.has-modal-open .wp-block-navigation__responsive-container-close {
		top: calc( ( (var(--wp--preset--spacing--50) * 2) * -1 ) - (30px + 39px) );
		background-color: white;
	}
}

/* Setting the padding for the open mobile menu to line up with header width */
header .wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open {
	--wp--style--root--padding-top: calc(var(--wp--preset--spacing--50) + 7px);
	--wp--style--root--padding-bottom: var(--wp--preset--spacing--50);
	--wp--style--root--padding-left: var(--wp--preset--spacing--50);
	--wp--style--root--padding-right: var(--wp--preset--spacing--50);
	width: calc(100vw - var(--wp--style--root--padding-left) - var(--wp--style--root--padding-right));
}

/* Set the open Mobile Menu background if not specified */
header .wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open {
	background-image: none;
	background-position: center var(--wp--preset--spacing--70);
	background-repeat: no-repeat;
	background-color: var(--wp--preset--color--main-foreground);
	color: var(--wp--preset--color--main-background);
}

/**
 * Block: core/paragraph
 */
p {
    max-width: var(--wp--custom--typography--max-width);
    word-spacing: var(--wp--custom--typography--word-spacing);
}
p.has-text-align-center {
    margin-left: auto;
    margin-right: auto;
}
p.is-style-link-underline a {
    text-decoration: underline;
}
/**
 * Post Excerpt
 */
.wp-block-post-excerpt .wp-block-post-excerpt__excerpt {
    margin-block-start: 0;
}

/* Set the readmore link to be one size larger than the paragraph text */
.wp-block-post-excerpt .wp-block-post-excerpt__more-text {
    font-size: var(--wp--preset--font-size--large);
}
.wp-block-post-excerpt.has-small-font-size .wp-block-post-excerpt__more-text {
	font-size: var(--wp--preset--font-size--medium);
}
/**
 * Post Featured Image
 */
.wp-block-post-featured-image img {
	height: auto;
	max-width: 100%;
	vertical-align: bottom;
}
@media (min-width: 782px) {
	.wp-block-query .wp-block-post-featured-image.is-offset-desktop {
		margin-top: calc(-1 * (var(--wp--preset--spacing--60) + var(--wp--preset--spacing--50) + var(--wp--preset--font-size--small)) );
	}
}
/**
 * Block: core/post-navigation-link-previous, core/post-navigation-link-next
 */
:where(.wp-block-post-navigation-link) > a[role="textbox"]:not(:last-child),
:where(.post-navigation-link-previous, .post-navigation-link-next) .post-navigation-link__label {
    display: block;
    font-size: var(--wp--preset--font-size--small);
    text-transform: uppercase;
    margin-bottom: var(--wp--preset--spacing--20);
}
/**
 * Block: core/post-title
 */
.wp-block-post-title a {
    text-decoration: inherit;
    color: inherit;
}  
/**
 * Block: core/query
 */

.wp-block-query {
	--container-width: var(--wp--custom--spacing--content-size);
}
.wp-block-query.alignwide {
	--container-width: var(--wp--custom--spacing--wide-size);
}
.wp-block-query.is-style-bulleted-list .wp-block-post-template {
	list-style: disc;
	margin-block-start: var(--wp--preset--spacing--30);
	padding-inline-start: var(--wp--preset--spacing--30);
}
.wp-block-query.is-style-bulleted-list .wp-block-post-template a:hover {
	text-decoration: underline;
}

/* Seems like we need this when nesting a query in the cover block for now */
.wp-block-cover .wp-block-query {
	width: var(--container-width);
	max-width: 100%;
}

.wp-block-post-template.is-flex-container {
	gap: var(--wp--preset--spacing--50);
}
.wp-block-post-template.is-flex-container:where(.columns-2,.columns-3,.columns-4,.columns-5,.columns-6) {
	display: grid;
	gap: var(--wp--preset--spacing--60) var(--wp--preset--spacing--50);
	padding: 0;
	list-style: none;
}
.wp-block-post-template.is-flex-container:is(.columns-2,.columns-3,.columns-4,.columns-5,.columns-6) > li.wp-block-post {
	width: auto;
	margin: 0;
}

.wp-block-post-template.is-flex-container.columns-2 {
	grid-template-columns: repeat(auto-fill, minmax(calc(var(--container-width)/2 - var(--wp--preset--spacing--50)*1/2), 1fr));
}
.wp-block-post-template.is-flex-container.columns-3 {
	grid-template-columns: repeat(auto-fill, minmax(calc(var(--container-width)/3 - var(--wp--preset--spacing--50)*2/3), 1fr));
}
.wp-block-post-template.is-flex-container.columns-4 {
	grid-template-columns: repeat(auto-fill, minmax(calc(var(--container-width)/4 - var(--wp--preset--spacing--50)*3/4), 1fr));
}
.wp-block-post-template.is-flex-container.columns-5 {
	grid-template-columns: repeat(auto-fill, minmax(calc(var(--container-width)/5 - var(--wp--preset--spacing--50)*4/5), 1fr));
}
.wp-block-post-template.is-flex-container.columns-6 {
	grid-template-columns: repeat(auto-fill, minmax(calc(var(--container-width)/6 - var(--wp--preset--spacing--50)*5/6), 1fr));
}

/**
 * If we're down to a single column just do auto columns. Fix for narrow screens.
 */
@media (max-width: 400px) {
	.wp-block-post-template.is-flex-container:is(.columns-2,.columns-4,.columns-5,.columns-6) {
		grid-template-columns: auto;
	}
}
@media (max-width: 480px) {
	.wp-block-post-template.is-flex-container:is(.columns-3) {
		grid-template-columns: auto;
	}
}


/**
 * Strips Style
 * Intended be used with columns. Does an offset column view like film strips.
 */
.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 {
	display: block;
}
.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 > li.wp-block-post {
	width: calc(50% - var(--wp--preset--spacing--50)*1/2);
	float: left;
	margin-block-start: var(--wp--preset--spacing--70);
}
.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 > li.wp-block-post:nth-child(even) {
	float: right;
}
.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 > li.wp-block-post:first-child {
	margin-block-start: 0;
}
/* Push the right side down to create the effect */
.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 > li.wp-block-post:nth-child(2) {
	margin-block-start: calc(var(--wp--preset--spacing--70) * 3);
}
/* Clear the floats */
.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2::after {
	content: ".";
	display: block;
	height: 0;
	clear: both;
	visibility: hidden;
}
/**
 * Gutenberg Editor specific layout fixes since it has extra elements
 * A little finicky right now
 */
.block-editor-block-list__block.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 > li.wp-block-post:nth-child(3) {
	margin-block-start: calc(var(--wp--preset--spacing--70) * 3);
}
.block-editor-block-list__block.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 > li.wp-block-post:nth-child(2n+4) {
	float: left;
}
.block-editor-block-list__block.wp-block-query.is-style-strips .wp-block-post-template.is-flex-container.columns-2 > li.wp-block-post:nth-child(2n+3) {
	float: right;
}
/**
 * Block: core/quote
 */
.wp-block-quote > p {
    color: var(--wp--preset--color--main-foreground);
}
.wp-block-quote > :first-child {
    margin-top: 0;
}
.wp-block-quote cite {
    display: block;
}

/* Quote Mark Style - Default (column) & Centred (row) vairations */
.wp-block-quote:is(.is-style-quote-mark,.is-style-quote-mark-centred) {
    border: none;
    padding-left: 0;
}
.wp-block-quote.is-style-quote-mark {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 1em;
}
.wp-block-quote.is-style-quote-mark-centred {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: calc(var(--wp--custom--spacing--content-size) - var(--wp--preset--spacing--70));
}
.wp-block-quote:is(.is-style-quote-mark,.is-style-quote-mark-centred):before {
    content: '\f10d';
    display: inline;
    font-family: "Font Awesome 6 Pro";
	font-style: normal;
    font-weight: 900;
    font-size: var(--wp--preset--font-size--h-3);
    line-height: 0.75;
}
.wp-block-quote.is-style-quote-mark:before {
    grid-column: 1;
    color: var(--wp--preset--color--main-highlight);
}
.wp-block-quote.is-style-quote-mark-centred:before {
    margin-bottom: var(--wp--style--block-gap);
}
.wp-block-quote.is-style-quote-mark > * {
    grid-column: 2;
}
.wp-block-quote.is-style-quote-mark cite {
    grid-column: 2;
    font-weight: 600;
}
.wp-block-quote.is-style-quote-mark cite:before {
    grid-column: 1;
}
.wp-block-quote.is-style-quote-mark cite > * {
    grid-column: 2;
}
/**
 * Block: core/table
 */

.wp-block-table :is(th,td) {
    padding: 0.5em 0;
}
.wp-block-table :is(th,td,tbody) {
    border-left-color: transparent;
    border-right-color: transparent;
    border-top-color: inherit;
    border-bottom-color: inherit;
}
.wp-block-table td:not(:first-child) {
    padding-left: 1.5em;
}
.wp-block-table thead {
    border-top-color: transparent;
    border-bottom-color: inherit;
}
.wp-block-table thead th {
    font-weight: 600;
}
.wp-block-table tfoot {
    border-top-color: inherit;
    border-bottom-color: transparent;
}
.wp-block-table :where(thead tr,tfoot tr+tr) :is(th,td) {
    padding-top: 0;
}
/* Overwriting the striped background to be a lighter version of the highlight color - #50cec9 */
.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
    background-color: #edf8f8;
}
/**
 * Block: baytek-gutenberg/toggle-2
 */
 .wp-block-baytek-toggle {
    border: 1px solid var(--wp--preset--color--main-highlight);
    border-radius: var(--wp--custom--border--radius);
    max-width: 100% !important;
}
.wp-block-baytek-toggle .toggle-header {
    padding: var(--wp--preset--spacing--40);
    padding-right: calc((var(--wp--preset--spacing--40) * 2) + 30px);
    position: relative;
}
.wp-block-baytek-toggle .toggle-header:hover {
    cursor: pointer;
}
.wp-block-baytek-toggle .toggle-header:after {
    position: absolute;
    right: var(--wp--preset--spacing--40);
    top: calc(50% - 30px );
    content: '\f107';
    font-family: "Font Awesome 6 Pro";
	font-style: normal;
    font-size: var(--wp--preset--font-size--h-3);
    font-weight: 300;
    color: var(--wp--preset--color--main-foreground-alt);
    transition: all 0.2s ease;
}
.wp-block-baytek-toggle.expanded .toggle-header:after {
    transform: rotate(180deg);
}
.wp-block-baytek-toggle .toggle-header > * {
    margin: 0;
}
.wp-block-baytek-toggle .toggle-body {
    padding: 0 var(--wp--preset--spacing--40) var(--wp--preset--spacing--40);
    display: none;
}
.wp-block-baytek-toggle .toggle-body p:first-child {
    margin-top: 0;
}
.wp-block-baytek-toggle .toggle-body p:last-child {
    margin-bottom: 0;
}
/**
 * Cards
 * Adds to the rounded style by centring content. Useful in multi-column card-like layouts
 * that have content centred vertically.
 */
.is-style-card {
	display: grid;
	align-items: center;
	align-content: center;
	padding: var(--wp--preset--spacing--50);
	border-radius: var(--wp--custom--border--radius);
}
.wp-block-cover.is-style-card {
    overflow: hidden;
}
/**
 * Cartographer Shortcode Maps
 */

.cartograph {
    padding: calc(var(--wp--preset--spacing--70)*2) var(--wp--preset--spacing--50);
}
/* Eyebrow */
.is-style-eyebrow {
	text-transform: uppercase;
	font-size: var(--wp--preset--font-size--small);
	font-family: var(--wp--preset--font-family--poppins);
	font-weight: 400;
	color: var(--wp--preset--color--main-foreground-alt);
}
/* Fixed Image Ratios */
:is(.wp-block-image, .wp-block-post-featured-image).is-style-landscape img {
    aspect-ratio: 3 / 2;
}
:is(.wp-block-image, .wp-block-post-featured-image).is-style-panorama img {
    aspect-ratio: 2.5 / 1;
}
:is(.wp-block-image, .wp-block-post-featured-image).is-style-portrait img {
    aspect-ratio: 2 / 3;
}
:is(.wp-block-image, .wp-block-post-featured-image):is(.is-style-square, .is-style-circle) img {
    aspect-ratio: 1 / 1;
}
:is(.wp-block-image, .wp-block-post-featured-image):is(.is-style-landscape, .is-style-panorama, .is-style-portrait, .is-style-square, .is-style-circle) img {
    object-fit: cover;
    object-position: 50% 33%;
}
/* Prevent Gutenberg Editor - Image Resizing for Fixed Aspect Ratios */
:is(.wp-block-image, .wp-block-post-featured-image):is(.is-style-landscape, .is-style-panorama, .is-style-portrait, .is-style-square, .is-style-circle) .components-resizable-box__container {
	width: auto;
	height: 100% !important; 
}
/**
 * Full Height Image - Inherits Container Height
 * Should only be used inside of patterns with layout blocks that have content dictating the height (eg. columns)
 */
:is(.wp-block-image, .wp-block-post-featured-image).is-full-height {
	height: 100%;
	max-height: 100vh;
}
:is(.wp-block-image, .wp-block-post-featured-image).is-full-height.block-editor-block-list__block > div:first-child {
	height: inherit;
}
:is(.wp-block-image, .wp-block-post-featured-image).is-full-height:is(.is-style-landscape, .is-style-panorama, .is-style-portrait, .is-style-square, .is-style-circle) img {
    aspect-ratio: initial;
    height: inherit;
}
/* Labels */
label {
	font-weight: 600;
	display: block;
	margin-block-end: var(--wp--preset--spacing--10);
}

/* General Form Field Settings */
input, textarea, select {
	border-width: var(--wp--custom--forms--fields--border--width);
	border-color: var(--wp--custom--forms--fields--color--border);
	border-radius: var(--wp--custom--forms--fields--border--radius);
	border-style: solid;
	background-color: var(--wp--custom--forms--fields--color--background);
	font-family: inherit;
	font-size: var(--wp--preset--font-size--medium);
	line-height: inherit;
	color: inherit;
	box-sizing: border-box;
}

/* Text Input Fields */
input:not([type="checkbox"],[type="radio"], [type="submit"]), textarea {
	padding: var(--wp--custom--forms--fields--spacing--padding) calc(var(--wp--custom--forms--fields--spacing--padding) * 1.25);
	width: 100%;
}
textarea {
	height: 6em;
	resize: vertical;
}
:is(input, textarea)::placeholder {
	opacity: 0.5;
	color: inherit;
}
:is(input, textarea):focus {
	padding-left: calc(var(--wp--custom--forms--fields--spacing--padding) * 1.25);
}
:is(input, textarea):focus-visible {
	border-width: 2px;
	outline: none;
}
:is(input):focus-visible {
	margin: -1px;
}
:is(input, textarea):invalid, .gfield_error :is(input, textarea, select) {
	background-color: var(--wp--custom--forms--errors--color--background);
	border-color: var(--wp--custom--forms--errors--color--border);
	color: var(--wp--custom--forms--errors--color--text);
}
.gfield_error {
	color: var(--wp--custom--forms--errors--color--text);
}

/* Radio / Checklist */
input:is([type="checkbox"],[type="radio"]) + label {
	font-weight: 400;
}

/* Select */
select {
	padding-top: var(--wp--custom--forms--fields--spacing--padding);
	padding-bottom: var(--wp--custom--forms--fields--spacing--padding);
	padding-left: 0;
	padding-right: 1em;
	width: 100%;
}

/* Select - Custom Drop Down Arrow - Requires Wrapper */
:is(.ginput_container_select, .ginput_address_country, .name_prefix_select, .gfield_time_ampm) {
	position: relative;
}
:is(.ginput_container_select, .ginput_address_country, .name_prefix_select, .gfield_time_ampm)::after {
	position: absolute;
	top: var(--wp--custom--forms--fields--spacing--padding);
	right: 0;
	z-index: 2;
	font-family: "Font Awesome 6 Pro";
	font-style: normal;
	content: '\f107';
	pointer-events: none;
	cursor: pointer;
}
:is(.ginput_container_select, .ginput_address_country, .name_prefix_select, .gfield_time_ampm) > select {
	appearance: none;
}

/* Form Buttons */
form :is(input[type="submit"], button), input[type="file"]::file-selector-button {
	background-color: var(--wp--preset--color--main-foreground-alt);
	color: var(--wp--preset--color--main-background);
	padding: 0.625em 1.5em;
	border-width: 0;
	border-radius: var(--wp--custom--border--radius-small);
	font-size: var(--wp--preset--font-size--small);
	font-weight: 600;
	cursor: pointer;
}
form input[type="file"]::file-selector-button {
	margin-inline-end: 1em;
}
form :is(input[type="submit"], button):focus  {
	opacity: 0.8;
}

/* File Field */
form input[type="file"] {
	border-width: 0;
}
form input[type="file"]:focus {
	border-width: initial;
	border-radius: var(--wp--custom--border--radius-small);
}

/* Fieldset */
fieldset {
	border: none;
	padding-inline-start: 0;
	padding-block-start: 0;
	padding-block-end: 0;
	padding-inline-end: 0;
	margin-inline-start: 0;
	margin-inline-end: 0;
}
fieldset legend {
	font-weight: 700;
}
.wp-block-post > .wp-block-group {
    display: flex;
    flex-direction: column;
    height: 100%;
}
.wp-block-post > .wp-block-group > .is-layout-flow.wp-block-group {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

/**
 * Shared Styles for buttons and links in more complex blocks
 * Blocks: core/button, core/read-more, core-post-excerpt
 * - read-more: Text + Right Arrow visible, arrow moves on hover
 * - arrow: Variation where only Right Arrow is visible initially, text reveals / slides in on hover
 */
:is(.wp-block-read-more),
.wp-block-button:is(.is-style-read-more) {
	font-size: var(--wp--preset--font-size--large);
	position: relative;
	font-weight: 600;
}
:is(.wp-block-read-more, .wp-block-post-excerpt__more-link, .wp-block-button.is-style-read-more) {
	transition: var(--wp--custom--animation--default-transition);
	padding-left: 1.5em;
}
.wp-block-read-more:before,
:where(.wp-block-post-excerpt__more-link):before,
.wp-block-button:where(.is-style-read-more) .wp-block-button__link:before {
	display: inline-block;
	position: absolute;
	font-family: "Font Awesome 6 Pro";
	font-style: normal;
	font-size: var(--wp--preset--font-size--small);
	content: '\f178';
	margin-right: 1em;
	left: 0;
	top: 50%;
	transform: translate(0, -50%);
	transition: inherit;
	color: var(--wp--preset--color--main-highlight);
	/* font-family: 'dashicons';
	content: '\f344';
	vertical-align: bottom; */
}
:is(.wp-block-read-more, .wp-block-post-excerpt__more-link):hover:before,
.wp-block-button.is-style-read-more:hover .wp-block-button__link:before {
	animation: outAndIn 1s ease-in-out 0s 1;
	
}

.wp-block-button:is(.is-style-read-more) .wp-block-button__link {
	background-color: transparent;
	padding: 0;
	color: var(--wp--preset--color--main-highlight);
}
.wp-block-button.is-style-read-more:hover .wp-block-button__link {
	border-color: transparent;
}
@keyframes outAndIn {
	0% {
		left: 0;
		opacity: 1;
	}
	50% {
		left: -1.5em;
		opacity: 0;
		filter: grayscale(100%);
	}
	100% {
		left: 0;
		opacity: 1;
	}
}
/** 
 * Slick Slider
 * Source: https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css
*/
.slick-slider
{
    position: relative;

    display: block;
    box-sizing: border-box;

    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;

    -webkit-touch-callout: none;
    -khtml-user-select: none;
    -ms-touch-action: pan-y;
        touch-action: pan-y;
    -webkit-tap-highlight-color: transparent;
}

.slick-list
{
    position: relative;

    display: block;
    overflow: hidden;

    margin: 0;
    padding: 0;
}
.slick-list:focus
{
    outline: none;
}
.slick-list.dragging
{
    cursor: pointer;
    cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list
{
    -webkit-transform: translate3d(0, 0, 0);
       -moz-transform: translate3d(0, 0, 0);
        -ms-transform: translate3d(0, 0, 0);
         -o-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
}

.slick-track
{
    position: relative;
    top: 0;
    left: 0;

    display: block;
    margin-left: auto;
    margin-right: auto;
}
.slick-track:before,
.slick-track:after
{
    display: table;

    content: '';
}
.slick-track:after
{
    clear: both;
}
.slick-loading .slick-track
{
    visibility: hidden;
}

.slick-slide
{
    display: none;
    float: left;

    height: 100%;
    min-height: 1px;
}
[dir='rtl'] .slick-slide
{
    float: right;
}
.slick-slide img
{
    display: block;
}
.slick-slide.slick-loading img
{
    display: none;
}
.slick-slide.dragging img
{
    pointer-events: none;
}
.slick-initialized .slick-slide
{
    display: block;
}
.slick-loading .slick-slide
{
    visibility: hidden;
}
.slick-vertical .slick-slide
{
    display: block;

    height: auto;

    border: 1px solid transparent;
}
.slick-arrow.slick-hidden {
    display: none;
}

/**
 * Any applicable css related to sitewide scrolling
 */

html { 
    scroll-behavior: smooth; 
}
/**
 * Template Part: footer
 */
.wp-site-blocks > footer {
    margin-top: 0;
}
.wp-site-blocks > footer form input:not([type="submit"]) {
    font-size: var(--wp--preset--font-size--small);
    padding: var(--wp--preset--spacing--10);
}
.wp-site-blocks > footer .gform_fields {
    gap: calc( var(--wp--custom--forms--fields--spacing--block-gap) * 0.5 );
}
.wp-site-blocks > footer .gform_footer {
    margin-block-start: calc( var(--wp--custom--forms--fields--spacing--block-gap) * 0.5 );
}
.wp-site-blocks > footer .gform_confirmation_message {
    color: var(--wp--preset--color--main-background);
}

@media (max-width: 781px) {
    .wp-site-blocks > footer .wp-block-columns .wp-block-column {
        text-align: center;
    }
}
/**
 * Template Part: header
 */

 @media (min-width: 961px) {
	.wp-site-blocks > header > .wp-block-group {
		padding: 0;
	 }
	.wp-site-blocks > header > .wp-block-group .wp-block-site-logo,
	.wp-site-blocks > header > .wp-block-group .wp-block-navigation .wp-block-navigation-item {
		padding: var(--wp--preset--spacing--50) 0 calc( var(--wp--preset--spacing--50) - 4px );
	}	
 }
 @media (max-width: 960px) {
	.wp-site-blocks > header > .wp-block-group {
		padding: var(--wp--preset--spacing--50);
	}	
 }

 
 .wp-site-blocks > header > .wp-block-group.is-style-floating {
	position: absolute;
	z-index: 10;
	width: 100%;
}
.wp-site-blocks > header > .wp-block-group .wp-block-navigation .wp-block-navigation-item {
	text-decoration: none;
	border-bottom: 4px solid transparent;
}
.wp-site-blocks > header > .wp-block-group .wp-block-navigation .wp-block-navigation-item.current-menu-item {
	border-bottom-color: var(--wp--preset--color--main-foreground-alt);
}
/* hack to remove the tiny space below the curent-item underline */
.wp-site-blocks > header > .wp-block-group .wp-block-navigation {
	margin-bottom: -2px;
}


/* Bring the Site Logo Overtop of the open mobile menu */
.wp-site-blocks > header .wp-block-site-logo {
	position: relative;
	z-index: 100001;
}

.wp-site-blocks > header :where(.wp-block-navigation-item,.wp-block-navigation-link).current-menu-item {
	text-decoration: underline;
}
/**
 * Main Entry / Post Content Layout Adjustments
 */

/** 
 * Apply hozizontal margins when below our max-width / alignwide limits 
 * eg. 1296px + 3.00rem (48px) on each side = 1392px
 */
@media (max-width: 1392px) {
	main > .entry-content > .alignwide {
		margin-left: var(--wp--preset--spacing--50) !important;
		margin-right: var(--wp--preset--spacing--50) !important;
	}
}

/** 
 * Apply hozizontal margins when below our contrained content limits 
 * eg. 960px + 3.00rem (48px) on each side = 1056px
 */
@media (max-width: 1056px) {
	main > .is-layout-constrained:not(.alignfull, .post-header, .wp-block-post-content),
	main > .entry-content > :where(:not(.alignleft):not(.alignright):not(.alignfull)),
	main > .is-layout-constrained.post-header > :not(.wp-block-post-featured-image) {
		margin-left: var(--wp--preset--spacing--50) !important;
		margin-right: var(--wp--preset--spacing--50) !important;
	}
}